%define upstream_name    Perl-Critic-Deprecated
%define upstream_version 1.119

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Write C<$my_variable = 42> instead of C<$MyVariable = 42>
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Perl/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(English)
BuildRequires: perl(Perl::Critic::Policy)
BuildRequires: perl(Perl::Critic::TestUtils)
BuildRequires: perl(Perl::Critic::Utils)
BuildRequires: perl(Readonly)
BuildRequires: perl(Test::More)
BuildRequires: perl(base)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch


%description
The included policies are:

* Perl::Critic::Policy::NamingConventions::ProhibitMixedCaseSubs

  Write '$my_variable = 42' instead of '$MyVariable = 42'. [Severity 1]

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.119.0-7.mga8
+ Revision: 1496474
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.119.0-6.mga7
+ Revision: 1270499
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.119.0-5.mga6
+ Revision: 1031963
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.119.0-4.mga6
+ Revision: 942848
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.119.0-3.mga5
+ Revision: 743129
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.119.0-2.mga5
+ Revision: 685926
- Mageia 5 Mass Rebuild

* Fri Feb 07 2014 sander85 <sander85> 1.119.0-1.mga5
+ Revision: 585263
- update to 1.119

* Fri Oct 18 2013 umeabot <umeabot> 1.108.0-3.mga4
+ Revision: 514033
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.108.0-2.mga3
+ Revision: 371668
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 1.108.0-1.mga1
+ Revision: 37163
- mageia rebuild
- imported package perl-Perl-Critic-Deprecated

